Package bitel.billing.server.service.bean

# Class ModuleAndServiceManager

java.lang.Object
bitel.billing.server.service.bean.ModuleAndServiceManager

Direct Known Subclasses:
  `ModuleAndServiceUtils`

    @Deprecated
    public class ModuleAndServiceManager
    extends java.lang.Object

Deprecated.
Класс разделён на несколько: `ModuleManager`, `ModuleCache`, `ServiceDao`, `ContractModuleManager`.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ModuleAndServiceManager​(java.sql.Connection con)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addContractModule​(int contractId, int moduleId)` | Deprecated.
  `void` | `deleteContractModule​(int userId, int contractId, int moduleId)` | Deprecated.
  `java.util.List<BGModule>` | `getContractModules​(int cid)` | Deprecated.
  `java.util.Set<java.lang.Integer>` | `getContractModuleSet​(int contractId)` | Deprecated.
  `java.util.List<Service>` | `getContractService​(int cid, int mid)` | Deprecated.
  `java.util.List<Service>` | `getContractService​(int cid, int mid, java.util.Calendar date)` | Deprecated.
  `BGModule` | `getModule​(int id)` | Deprecated.
  `java.util.List<BGModule>` | `getModules()` | Deprecated.
  `java.util.List<BGModule>` | `getModules​(java.lang.String name)` | Deprecated.
  `java.util.Map<java.lang.Integer,​BGModule>` | `getModulesMap()` | Deprecated.
  `Service` | `getService​(int id)` | Deprecated.
  `java.util.List<Service>` | `getServices​(int mid)` | Deprecated.
  `java.lang.String` | `getSids​(int mid)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModuleAndServiceManager

    public ModuleAndServiceManager​(java.sql.Connection con)
    Deprecated.

- ## Method Details

  - ### getModules

    @Deprecated public java.util.List<BGModule> getModules​(java.lang.String name) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `ModuleManager.getModules(String)` либо `ModuleCache.getModulesList(String)`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getModules

    @Deprecated public java.util.List<BGModule> getModules() throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `ModuleManager.getModules()` либо `ModuleCache.getModulesListProcessSorted()`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getModulesMap

    @Deprecated public java.util.Map<java.lang.Integer,​BGModule> getModulesMap() throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `ModuleManager.getModulesMap()` либо `ModuleCache.getModuleMap()`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getServices

    @Deprecated public java.util.List<Service> getServices​(int mid) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `ServiceDao.list(int)`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getService

    @Deprecated public Service getService​(int id) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `AbstractIdDao.get(int)`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSids

    @Deprecated public java.lang.String getSids​(int mid) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `ModuleCache.getModuleServicesString(int)`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getModule

    @Deprecated public BGModule getModule​(int id) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `ModuleManager.getModule(int)` либо `ModuleCache.getModule(int)`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractModules

    @Deprecated public java.util.List<BGModule> getContractModules​(int cid) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Возвращает все модули, ассоциированные с данным договором. Использовать `ContractModuleManager.getContractModules(int)`.
    Parameters:
      `cid` - код договора
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractModuleSet

    @Deprecated public java.util.Set<java.lang.Integer> getContractModuleSet​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `ContractModuleManager.getContractModuleSet(int)`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addContractModule

    @Deprecated public void addContractModule​(int contractId, int moduleId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `ContractModuleManager.addContractModule(int, int)`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteContractModule

    @Deprecated public void deleteContractModule​(int userId, int contractId, int moduleId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `ContractModuleManager.deleteContractModule(int, int)`.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractService

    @Deprecated public java.util.List<Service> getContractService​(int cid, int mid)
    Deprecated.
    Использовать аналогичный метод в `ContractServiceManager`

  - ### getContractService

    @Deprecated public java.util.List<Service> getContractService​(int cid, int mid, java.util.Calendar date)
    Deprecated.
    Использовать аналогичный метод в `ContractServiceManager`
    Parameters:
      `cid` -
      `mid` -
      `date` -
    Returns: